import * as Models from './models';
import * as Parameters from './parameters';
import { Callback } from '../callback';
import { Client } from '../clients';
export declare class ContentComments {
    private client;
    constructor(client: Client);
    /**
     * Returns the comments on a piece of content.
     *
     * **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space, and
     * permission to view the content if it is a page.
     */
    getContentComments<T = Models.ContentArray>(parameters: Parameters.GetContentComments, callback: Callback<T>): Promise<void>;
    /**
     * Returns the comments on a piece of content.
     *
     * **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space, and
     * permission to view the content if it is a page.
     */
    getContentComments<T = Models.ContentArray>(parameters: Parameters.GetContentComments, callback?: never): Promise<T>;
}
