"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paramSerializer = void 0;
function paramSerializer(key, values) {
    if (typeof values === 'string') {
        return () => `${key}=${values}`;
    }
    if (!values) {
        return undefined;
    }
    if (!values.length) {
        return '';
    }
    return () => values.map(value => `${key}=${value}`).join('&');
}
exports.paramSerializer = paramSerializer;
//# sourceMappingURL=paramSerializer.js.map