"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationService = void 0;
const tslib_1 = require("tslib");
const authentications_1 = require("./authentications");
var AuthenticationService;
(function (AuthenticationService) {
    function getAuthenticationToken(authentication, requestData) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            if (!authentication) {
                return undefined;
            }
            if (authentication.basic) {
                return (0, authentications_1.createBasicAuthenticationToken)(authentication.basic);
            }
            if (authentication.oauth2) {
                return (0, authentications_1.createOAuth2AuthenticationToken)(authentication.oauth2);
            }
            if (authentication.jwt) {
                return (0, authentications_1.createJWTAuthentication)(authentication.jwt, requestData);
            }
            if (authentication.personalAccessToken) {
                return (0, authentications_1.createPATAuthenticationToken)(authentication.personalAccessToken);
            }
            return undefined;
        });
    }
    AuthenticationService.getAuthenticationToken = getAuthenticationToken;
})(AuthenticationService = exports.AuthenticationService || (exports.AuthenticationService = {}));
//# sourceMappingURL=authenticationService.js.map